> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Sửa lệnh cổ phiếu

> Cập nhật giá hoặc khối lượng của lệnh.



## OpenAPI

````yaml /vi/openapi/tcbs.v1.openapi.yaml patch /akhlys/v1/accounts/{accountNo}/orders/{orderId}
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
tags:
  - name: authentication
    description: Xác thực và cấp token truy cập.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản, tài sản và hạn mức.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu chứng khoán và phái sinh.
    x-group: Dữ liệu thị trường
  - name: cash
    description: Giao dịch và thông tin tiền.
    x-group: Tiền
  - name: stock-orders
    description: Đặt, sửa, hủy và tra cứu lệnh cổ phiếu.
    x-group: Lệnh cổ phiếu
  - name: derivative-orders
    description: Đặt, sửa, hủy và tra cứu lệnh phái sinh.
    x-group: Lệnh phái sinh
paths:
  /akhlys/v1/accounts/{accountNo}/orders/{orderId}:
    patch:
      tags:
        - stock-orders
      summary: Sửa lệnh cổ phiếu
      description: Cập nhật giá hoặc khối lượng của lệnh.
      operationId: patchAkhlysAccountsAccountNoOrdersOrderId
      parameters:
        - name: accountNo
          in: path
          required: true
          schema:
            type: string
        - name: orderId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price:
                  type: integer
                  format: int64
                  description: Giá giao dịch mới.
                quantity:
                  type: integer
                  format: int64
                  description: Khối lượng giao dịch mới.
              required:
                - price
                - quantity
      responses:
        '200':
          description: Phản hồi thành công
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Mã lỗi, 0 = thành công.
                  message:
                    type: string
                    description: Mô tả mã lỗi nếu có.
                  orderId:
                    type: string
                    description: Mã lệnh đã sửa.
              example:
                error: '0'
                message: Sửa lệnh thành công!
                orderId: '9202205230000324355'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    Unauthorized:
      description: Không xác thực — thiếu, sai hoặc không hợp lệ Bearer token.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.